function init(hero) {
    hero.setName("The Punisher/\u00A79\u00A7lCHP\u00A7r");
    hero.setAliases("tp");
    hero.setTier(3);
    
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("chipzpack:punisher");
    hero.addAttribute("PUNCH_DAMAGE", 7.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.7, 1);
    
    hero.addKeyBind("AIM", "key.shoot", 1);
    
    hero.supplyFunction("canAim", canAim);
        
    hero.setModifierEnabled(isModifierEnabled);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:energy_blast":
        return entity.getData("fiskheroes:aiming");
    }
    return true;
}